// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2000,2001 Alistair Riddoch

// $Id: feee7cf6b7b3f03ceba54d4ae003b168a23395b6 $

#include "common/operations.h"

#include <Atlas/Objects/Operation/Sight.h>

#include "DumbSkill.h"

using Atlas::Message::Element;

oplist DumbSkill::action(const std::string & skill, const RootOperation & op)
{
    RootOperation * s = new Sight();
    s->setArgs(Element::ListType(1,op.asObject()));
    return oplist(1,s);
}
